#include<bits/stdc++.h>

using namespace std;

main(){
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	double p,q,r;
	unsigned long long br=0,L,R;
	cin>>p>>q>>r>>L>>R;
	for(int i=L;i<=R;i++){
		if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)br++;
	}
	cout<<br;
}